Update existing bookingCopy Pageput https://app.officernd.com/api/v2/organizations/{orgSlug}/bookings/{bookingId}Update existing booking Required scopes: flex.space.bookings.updatePath ParamsbookingIdstringrequiredbooking idorgSlugstringrequiredorganization slugQuery ParamsisSilentbooleanWhether to send notifications to the member. If true, a notification will not be sent. If false or not passed at all, the notification will be sent as normal.truetruefalseenforceBookingPolicybooleanWhether to enforce the booking policy and member validation rules for this request. If true, member validations (business hours, min/max duration, future-booking limits, credits-only rule, recurrence span) and booking-policy-driven tentative/approval flagging are applied. If false or not passed at all, the request behaves as it does today, with no additional validation or policy-driven flagging.truetruefalseBody ParamspropertiesobjectAn object that contains all custom properties that can be applied to the item.properties objectstartstringrequiredThe start date of the booking.endstringrequiredThe end date of the booking.resourcestringrequiredThe _id of the resource associated with the booking.descriptionstringThe description of the booking.titlestringThe title of the booking.isTentativebooleanDetermines whether the booking is confirmed or not.truetruefalseserviceSlotsobjectDetermines whether the booking has buffer slots before and after.serviceSlots objectextrasarray of objectsContains all the extra fees associated with the booking. You can enter the id of the one-off that will be used as an extra and its quantity.extrasADD objectisFreebooleanDetermines whether the booking is free or not.truetruefalserecurrenceobjectDetermines the recurrence rules for the booking.recurrence objectmemberstringThe _id of the member associated with the booking.companystringThe _id of the company associated with the booking.membersarray of stringsAn array containing a list of all the _ids of teammates associated with the booking. This is possible if the member associated with the booking is part of a company - these company members can be added here.membersADD stringvisitorsarray of stringsAn array containg a list of all the _ids of external visitors associated with the booking.visitorsADD stringcustomPricenumberUsed if you want to set a custom price for the booking and ignore the standard rate.Response 200Updated 3 months ago Retrieve single booking.Delete bookingDid this page help you?YesNo